### Method

# AppStream Relation get_value_internet_kind

since: 0.15.5

#### Declaration [src]

    AsInternetKind
    as_relation_get_value_internet_kind (
      AsRelation* relation
    )

#### Description [src]

Get the value of this `AsRelation` item as `AsInternetKind` if the type of this relation is `AS_RELATION_ITEM_KIND_INTERNET`. Otherwise return `AS_INTERNET_KIND_UNKNOWN`.

Available since: 0.15.5

#### Return value

Type: `AsInternetKind`

A `AsInternetKind` or `AS_INTERNET_KIND_UNKNOWN` in case the item is not of the right kind.